#include <stdio.h>
int main()
{
  int s=0,j,i;
  unsigned int m,n;
scanf("%u",&m);
scanf("%u",&n);
if(m<0 || n<0 || m<n)
{
  printf("-1");
  return 0;
}
i=1;
while(n<=m)
{
  for(j=i;j<=n;j++)
    s+=j;
printf("%d\n",s);
s=0;
n++;
i++;
}

return 0;
}